Create traffic profile

Prev Next

Available in Classic and VPC

Create a traffic profile (domain) according to the specified conditions.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
POST /gtm/v1/domains

Request headers

For information about the headers common to all Traffic profile APIs, see Traffic profile API request headers.

Request syntax

The request syntax is as follows.

{
    "name": "naver.dev.gtm.com",
    "policyId": 1,
    "ttl": 300,
    "claRegion": "KR"
}

Request body

See ProfileRequest for the request body.

Request example

The following is a sample request.

curl --location --request POST 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/domains' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
    "name": "profile.ncloudgtm.com",
    "policyId": ****,
    "ttl": 300,
    "claRegion": "KR"
}'

Response

The following describes the response format.

Response status codes

For information about the HTTP status codes common to all Traffic profile APIs, see Traffic profile API response status codes.

Response example

The following is a sample response.

14***

Error code example

The following is a sample error code.

{
  "result": "FAIL",
  "error": {
    "errorCode": "05X000",
    "message": "Invalid value.<br>Hover your mouse over the displayed area to see the details in a tooltip.",
    "devMessage": "Invalid value.",
    "moreInfo": {
      "validationInfo": [
        {
          "fieldPath": "policyId",
          "msg": "You don't have permissions for the policy or the policy doesn't exist."
        },
        {
          "fieldPath": "name",
          "msg": "Invalid domain format. Each label of domains consists of alphabetic characters, numbers, and hyphens (-). Only alphabetic characters can be used at the beginning and end of the label."
        }
      ],
      "timestamp": "2022-11-16T18:45:06.451+09:00"
    }
  }
}